/*
		Name:		Jens Schyma
		Date:		29.08.2009
		Project:	K8055 for Visual Studio 2005 and higher

		Description:	If you use the .h file provided by Velleman you would get a lot of
						errors, to solve this use this .h File this will work in Visual Studio
						2008 and 2005.


*/
#include "stdafx.h"
#include <windows.h>	// <== is needed otherwise you would get a lot of errors

#ifdef __cplusplus
extern "C" {
#endif

#define FUNCTION __declspec(dllexport)

FUNCTION long __stdcall OpenDevice(long CardAddress);
VOID __stdcall CloseDevice();
FUNCTION long __stdcall ReadAnalogChannel(long Channel);
VOID __stdcall ReadAllAnalog(long *Data1, long *Data2);
VOID __stdcall OutputAnalogChannel(long Channel, long Data);
VOID __stdcall OutputAllAnalog(long Data1, long Data2);
VOID __stdcall ClearAnalogChannel(long Channel); 
VOID __stdcall ClearAllAnalog();
VOID __stdcall SetAnalogChannel(long Channel); 
VOID __stdcall SetAllAnalog();
VOID __stdcall WriteAllDigital(long Data);
VOID __stdcall ClearDigitalChannel(long Channel);
VOID __stdcall ClearAllDigital();
VOID __stdcall SetDigitalChannel(long Channel);
VOID __stdcall SetAllDigital();
FUNCTION bool __stdcall ReadDigitalChannel(long Channel);
FUNCTION long __stdcall ReadAllDigital();
FUNCTION long __stdcall ReadCounter(long CounterNr);
VOID __stdcall ResetCounter(long CounterNr);
VOID __stdcall SetCounterDebounceTime(long CounterNr, long DebounceTime);

VOID __stdcall Version();
FUNCTION long __stdcall SearchDevices();
FUNCTION long __stdcall SetCurrentDevice(long lngCardAddress);

#ifdef __cplusplus
}
#endif